<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Namespace: b_1_1_getClassNames</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Namespace: b_1_1_getClassNames</h1>

    




<section>

<header>
    
        <h2>
            <span class="ancestors"><a href="b_create_caldata_buttons_client.b_1_dataviz.html">.b_1_dataviz</a>.</span>b_1_1_getClassNames</h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><p>This namespace describes the body of the function getClassNames.
The call argument of the function is the array of push button nodes.
All names of all push button nodes are returned as an array of string.
<br> Called by : <a href="b_create_caldata_buttons_client.b_1_dataviz.b_1_3_getAllButtonNames.html"><code>getter function for button names</code></a></p></div>
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_createDataViz.js.html">Script/createDataViz.js</a>, <a href="Script_createDataViz.js.html#line94">line 94</a>
    </li></ul></dd>
    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id=".name_ar"><span class="type-signature">(static) </span>name_ar<span class="type-signature"> :Array.&lt;Number></span></h4>






    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">Array.&lt;Number></span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_createDataViz.js.html">Script/createDataViz.js</a>, <a href="Script_createDataViz.js.html#line110">line 110</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id=".forLoop"><span class="type-signature">(static) </span>forLoop<span class="signature">(i, i++)</span><span class="type-signature"> &rarr; {Array.&lt;numbers>}</span></h4>
    

    



<div class="description">
    <p>this for loop iterates across all selected html button nodes
and returns their classnames in an array</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>i</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last"><p>iterator</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nodes.length</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last"><p>break condition : amount of nodes</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>i++</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last"><p>increment iterator</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_createDataViz.js.html">Script/createDataViz.js</a>, <a href="Script_createDataViz.js.html#line112">line 112</a>
    </li></ul></dd>
    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p>name_ar</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Array.&lt;numbers></span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id=".name_ar_push"><span class="type-signature">(static) </span>name_ar_push<span class="signature">(className)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>className</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>nodes[i].className gets pushed to name array</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_createDataViz.js.html">Script/createDataViz.js</a>, <a href="Script_createDataViz.js.html#line124">line 124</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-a_index_server.html">a_index_server</a></li><li><a href="module-b_create_caldata_buttons_client.html">b_create_caldata_buttons_client</a></li><li><a href="module-c_socketCom_server.html">c_socketCom_server</a></li><li><a href="module-d_handleModelData_client.html">d_handleModelData_client</a></li><li><a href="module-e_getModelStimulationData_server.html">e_getModelStimulationData_server</a></li><li><a href="module-f_getPostgresData_server.html">f_getPostgresData_server</a></li><li><a href="module-g_setPostgresData_server.html">g_setPostgresData_server</a></li><li><a href="module-h_deletePostgresData_server.html">h_deletePostgresData_server</a></li><li><a href="module-i_getPostgresWOsocket_server.html">i_getPostgresWOsocket_server</a></li><li><a href="module-j_updatePostgresData_server.html">j_updatePostgresData_server</a></li><li><a href="module-k_select-stimulation_client.html">k_select-stimulation_client</a></li><li><a href="module-l_3d_map_visualization_client.html">l_3d_map_visualization_client</a></li><li><a href="module-m_curveGraphGenerator_client.html">m_curveGraphGenerator_client</a></li><li><a href="module-n_create_simulation_view_client.html">n_create_simulation_view_client</a></li><li><a href="module-o_3d_map_visualization_initialization_client.html">o_3d_map_visualization_initialization_client</a></li><li><a href="module-p_3d_map_table_generator.html">p_3d_map_table_generator</a></li></ul><h3>Namespaces</h3><ul><li><a href="audio.k_1_startStimulation.html">k_1_startStimulation</a></li><li><a href="b_create_caldata_buttons_client.b_1_dataviz.html">b_1_dataviz</a></li><li><a href="b_create_caldata_buttons_client.b_1_dataviz.b_1_1_getClassNames.html">b_1_1_getClassNames</a></li><li><a href="b_create_caldata_buttons_client.b_1_dataviz.b_1_3_getAllButtonNames.html">b_1_3_getAllButtonNames</a></li><li><a href="b_create_caldata_buttons_client.b_1_dataviz.b_1_4_thermdata_client.html">b_1_4_thermdata_client</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html">c_1_socketfunction</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.html">c_1_1_socketConnected</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.c_1_1_1_initNewData.html">c_1_1_1_initNewData</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.c_1_1_2_tabledata.html">c_1_1_2_tabledata</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.c_1_1_3_curvedata.html">c_1_1_3_curvedata</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.c_1_1_4_getTable.html">c_1_1_4_getTable</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.c_1_1_5_getCurve.html">c_1_1_5_getCurve</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.c_1_1_6_getStimData.html">c_1_1_6_getStimData</a></li><li><a href="data.d_1_handler.html">d_1_handler</a></li><li><a href="m_curveGraphGenerator_client.m_1_curveGraphGenerator.html">m_1_curveGraphGenerator</a></li><li><a href="n_create_simulation_view_client.n_1_create_simulation_view.html">n_1_create_simulation_view</a></li><li><a href="n_create_simulation_view_client.n_1_create_simulation_view.n_1_1_rcvAudioFilePaths.html">n_1_1_rcvAudioFilePaths</a></li></ul><h3>Classes</h3><ul><li><a href="d3.html">d3</a></li><li><a href="express.html">express</a></li><li><a href="pool.html">pool</a></li><li><a href="response.html">response</a></li><li><a href="router.html">router</a></li><li><a href="selection.html">selection</a></li><li><a href="server.html">server</a></li><li><a href="socket.html">socket</a></li></ul><h3>Events</h3><ul><li><a href="b_create_caldata_buttons_client.b_1_dataviz.html#.event:thermdata">thermdata</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.html#.event:curvedata">curvedata</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.html#.event:disconnect">disconnect</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.html#.event:getAudioFlPths">getAudioFlPths</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.html#.event:getCurve">getCurve</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.html#.event:getTable">getTable</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.html#.event:initNewData">initNewData</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.html#.event:tabledata">tabledata</a></li><li><a href="c_socketCom_server.c_1_socketfunction.c_1_1_socketConnected.html#.event:time">time</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:connection">connection</a></li><li><a href="data.d_1_handler.html#.event:curvedata">curvedata</a></li><li><a href="data.d_1_handler.html#.event:initNewData">initNewData</a></li><li><a href="data.d_1_handler.html#.event:tabledata">tabledata</a></li><li><a href="module-e_getModelStimulationData_server.html#~event:sendAudioFlPths">sendAudioFlPths</a></li><li><a href="m_curveGraphGenerator_client.m_1_curveGraphGenerator.html#.event:getCurve">getCurve</a></li><li><a href="m_curveGraphGenerator_client.m_1_curveGraphGenerator.html#.event:sendCurve">sendCurve</a></li><li><a href="n_create_simulation_view_client.n_1_create_simulation_view.html#.event:getAudioFlPths">getAudioFlPths</a></li><li><a href="n_create_simulation_view_client.n_1_create_simulation_view.html#.event:periodic_time">periodic_time</a></li><li><a href="n_create_simulation_view_client.n_1_create_simulation_view.html#.event:sendAudioFlPths">sendAudioFlPths</a></li><li><a href="n_create_simulation_view_client.n_1_create_simulation_view.n_1_1_rcvAudioFilePaths.html#.event:click_stimFileSelector">click_stimFileSelector</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-codeAnalysisAndRefactoring.html">Static source code analysis and refactoring interface</a></li><li><a href="tutorial-conceptUnitTest.html">conceptUnitTest</a></li><li><a href="tutorial-graphicalEditor.html">Graphical editor for maps and curves</a></li><li><a href="tutorial-modelStimulation.html">Stimulation of physical and engine control models</a></li><li><a href="tutorial-staticEngineModel.html">Static combustion engine model</a></li><li><a href="tutorial-webclients.html">webclients</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Fri Sep 17 2021 09:09:23 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>